catalog:
  title: Keras and Tensorflow Gender and Age Estimation Dataset

templates:
- freestyle
- base

variables:
  description: Downloads and deploys the Gender and Age Estimation data set for Tensorflow/Keras
  keywords:
  - data set
  - face recognition
  - learning
  - keras
  - tensorflow
  - gender and age
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  branches:
  - master

  shell.command: |
    mkdir -p ${toolkit.dir}/share/gender_age_keras
    test -f weights.${version-name}.hdf5 || wget -N --progress=dot:mega https://github.com/yu4u/age-gender-estimation/releases/download/v0.5/weights.${version-name}.hdf5
    cp -f weights.${version-name}.hdf5 ${toolkit.dir}/share/gender_age_keras/

versions:
- name: 18-4.06
- name: 28-3.73
